#pragma once

#include<stdint.h>

struct _ENetPeer;
struct bstr;

void net_server_init();
void net_server_receive();
void net_server_update();

void net_server_assign(struct _ENetPeer *peer, uint16_t idx);
void net_server_force_load(struct _ENetPeer *peer, const char *script);

void net_server_send_msg(struct _ENetPeer *peer, struct bstr *data);
void net_server_broadcast_msg(struct bstr *data);

void *net_server_get_enethost();
